## ros-one-fetch-ikfast-plugin 0.9.1-5jammy.20251208.0114

=== debian/changelog ===
ros-one-fetch-ikfast-plugin (0.9.1-5jammy.20251208.0114) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sarah Elliott <selliott@fetchrobotics.com>  Mon, 08 Dec 2025 01:14:26 +0000

ros-one-fetch-ikfast-plugin (0.9.1-0jammy) jammy; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Fri, 05 Mar 2021 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.9.0-0jammy) jammy; urgency=high

  * Initial noetic release
  * Updates maintainers
  * Contributors: Alex Moriarty, Eric Relson, Russell Toris

 -- Sarah Elliott <selliott@fetchrobotics.com>  Sun, 28 Feb 2021 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.8.2-0jammy) jammy; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Tue, 06 Aug 2019 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.8.1-0jammy) jammy; urgency=high

  * fix Error in latest IK_Fast Plugin #113 (#114)
    
    <string>:21: (INFO/1) Duplicate name "#113" for external target "https://github.com/fetchrobotics/fetch_ros/issues/113".
    
    fix Error in latest IK_Fast Plugin #113 with moveit 1.0 interface
    
    Related to the fix for issue #103 PR #107 used the wrong link
  * Merge pull request #107 from moriarty/update-ikfast-plugin
    
    [IKFast Plugin] Regenerate fetch_ikfast_plugin
  * Contributors: Alexander Moriarty, Carl Saldanha, I-Chen Jwo

 -- Sarah Elliott <selliott@fetchrobotics.com>  Thu, 04 Apr 2019 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.8.0-0jammy) jammy; urgency=high

  * [package.xml] REP-140 package format 2 (#104 <https://github.com/fetchrobotics/fetch_ros/issues/104>)
    closes #83 <https://github.com/fetchrobotics/fetch_ros/issues/83>
  * [Docs] Add URL tags to package for wiki.ros.org (#90 <https://github.com/fetchrobotics/fetch_ros/issues/90>)
    The <url> tag is required to automatically fill in at least some info
    on the wiki pages. The extra tags will create links to our docs.
  * Contributors: Alex Moriarty

 -- Sarah Elliott <selliott@fetchrobotics.com>  Wed, 13 Feb 2019 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.14-0jammy) jammy; urgency=high

  * updates ownership
  * Contributors: Russell Toris

 -- Sarah Elliott <selliott@fetchrobotics.com>  Tue, 10 Jul 2018 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.13-0jammy) jammy; urgency=high

  * use std::isnan for c++11 support
  * Contributors: Shingo Kitagawa

 -- Sarah Elliott <selliott@fetchrobotics.com>  Thu, 02 Nov 2017 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.12-0jammy) jammy; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Wed, 02 Aug 2017 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.11-0jammy) jammy; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Mon, 31 Jul 2017 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.10-0jammy) jammy; urgency=high

  * fix build with urdf on kinetic
  * update package.xmls, add depend on fetch_ikfast_plugin
  * get a version of ikfast plugin working on fetch
  * Contributors: Di Sun, Michael Ferguson

 -- Sarah Elliott <selliott@fetchrobotics.com>  Thu, 27 Oct 2016 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.9-0jammy) jammy; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Tue, 26 Jul 2016 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.8-0jammy) jammy; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Mon, 18 Jul 2016 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.7-0jammy) jammy; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Mon, 20 Jun 2016 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.6-0jammy) jammy; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Thu, 26 May 2016 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.5-0jammy) jammy; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Sun, 08 May 2016 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.4-0jammy) jammy; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Wed, 16 Mar 2016 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.3-0jammy) jammy; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Sat, 05 Mar 2016 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.2-0jammy) jammy; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Wed, 24 Feb 2016 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.1-0jammy) jammy; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Wed, 20 Jan 2016 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.0-0jammy) jammy; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Tue, 29 Sep 2015 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.6.2-0jammy) jammy; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Thu, 30 Jul 2015 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.6.1-0jammy) jammy; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Fri, 03 Jul 2015 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.6.0-0jammy) jammy; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Tue, 23 Jun 2015 19:47:00 -0000

ros-one-fetch-ikfast-plugin (0.5.15-0jammy) jammy; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Tue, 23 Jun 2015 19:44:00 -0000

ros-one-fetch-ikfast-plugin (0.5.14-0jammy) jammy; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Fri, 19 Jun 2015 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.5.13-0jammy) jammy; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Sat, 13 Jun 2015 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.5.12-0jammy) jammy; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Fri, 12 Jun 2015 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.5.11-0jammy) jammy; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Wed, 10 Jun 2015 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.5.10-0jammy) jammy; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Sun, 07 Jun 2015 12:48:00 -0000

ros-one-fetch-ikfast-plugin (0.5.9-0jammy) jammy; urgency=high





## ros-one-fetch-ikfast-plugin 0.9.1-5jammy.20260128.2135

=== debian/changelog ===
ros-one-fetch-ikfast-plugin (0.9.1-5jammy.20260128.2135) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sarah Elliott <selliott@fetchrobotics.com>  Wed, 28 Jan 2026 21:35:22 +0000

## ros-one-fetch-ikfast-plugin 0.9.1-5jammy.20260301.2129

=== debian/changelog ===
ros-one-fetch-ikfast-plugin (0.9.1-5jammy.20260301.2129) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sarah Elliott <selliott@fetchrobotics.com>  Sun, 01 Mar 2026 21:29:09 +0000

## ros-one-fetch-ikfast-plugin 0.9.1-5noble.20251023.1447

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(fetch_ikfast_plugin)

find_package(catkin REQUIRED COMPONENTS
  moveit_core
  pluginlib
  roscpp
  tf2_kdl
  tf2_eigen
  eigen_conversions
)
find_package(LAPACK REQUIRED)

include_directories(${catkin_INCLUDE_DIRS} include)

catkin_package()

set(IKFAST_LIBRARY_NAME fetch_arm_moveit_ikfast_plugin)
add_library(${IKFAST_LIBRARY_NAME} src/fetch_arm_ikfast_moveit_plugin.cpp)
target_link_libraries(${IKFAST_LIBRARY_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${LAPACK_LIBRARIES})
# suppress warnings about unused variables in OpenRave's solver code
target_compile_options(${IKFAST_LIBRARY_NAME} PRIVATE -Wno-unused-variable)

install(TARGETS
  ${IKFAST_LIBRARY_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(
  FILES
  fetch_arm_moveit_ikfast_plugin_description.xml
  DESTINATION
  ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-one-fetch-ikfast-plugin (0.9.1-5noble.20251023.1447) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sarah Elliott <selliott@fetchrobotics.com>  Thu, 23 Oct 2025 14:47:50 +0000

ros-one-fetch-ikfast-plugin (0.9.1-0noble) noble; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Fri, 05 Mar 2021 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.9.0-0noble) noble; urgency=high

  * Initial noetic release
  * Updates maintainers
  * Contributors: Alex Moriarty, Eric Relson, Russell Toris

 -- Sarah Elliott <selliott@fetchrobotics.com>  Sun, 28 Feb 2021 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.8.2-0noble) noble; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Tue, 06 Aug 2019 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.8.1-0noble) noble; urgency=high

  * fix Error in latest IK_Fast Plugin #113 (#114)
    
    <string>:21: (INFO/1) Duplicate name "#113" for external target "https://github.com/fetchrobotics/fetch_ros/issues/113".
    
    fix Error in latest IK_Fast Plugin #113 with moveit 1.0 interface
    
    Related to the fix for issue #103 PR #107 used the wrong link
  * Merge pull request #107 from moriarty/update-ikfast-plugin
    
    [IKFast Plugin] Regenerate fetch_ikfast_plugin
  * Contributors: Alexander Moriarty, Carl Saldanha, I-Chen Jwo

 -- Sarah Elliott <selliott@fetchrobotics.com>  Thu, 04 Apr 2019 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.8.0-0noble) noble; urgency=high

  * [package.xml] REP-140 package format 2 (#104 <https://github.com/fetchrobotics/fetch_ros/issues/104>)
    closes #83 <https://github.com/fetchrobotics/fetch_ros/issues/83>
  * [Docs] Add URL tags to package for wiki.ros.org (#90 <https://github.com/fetchrobotics/fetch_ros/issues/90>)
    The <url> tag is required to automatically fill in at least some info
    on the wiki pages. The extra tags will create links to our docs.
  * Contributors: Alex Moriarty

 -- Sarah Elliott <selliott@fetchrobotics.com>  Wed, 13 Feb 2019 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.14-0noble) noble; urgency=high

  * updates ownership
  * Contributors: Russell Toris

 -- Sarah Elliott <selliott@fetchrobotics.com>  Tue, 10 Jul 2018 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.13-0noble) noble; urgency=high

  * use std::isnan for c++11 support
  * Contributors: Shingo Kitagawa

 -- Sarah Elliott <selliott@fetchrobotics.com>  Thu, 02 Nov 2017 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.12-0noble) noble; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Wed, 02 Aug 2017 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.11-0noble) noble; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Mon, 31 Jul 2017 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.10-0noble) noble; urgency=high

  * fix build with urdf on kinetic
  * update package.xmls, add depend on fetch_ikfast_plugin
  * get a version of ikfast plugin working on fetch
  * Contributors: Di Sun, Michael Ferguson

 -- Sarah Elliott <selliott@fetchrobotics.com>  Thu, 27 Oct 2016 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.9-0noble) noble; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Tue, 26 Jul 2016 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.8-0noble) noble; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Mon, 18 Jul 2016 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.7-0noble) noble; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Mon, 20 Jun 2016 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.6-0noble) noble; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Thu, 26 May 2016 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.5-0noble) noble; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Sun, 08 May 2016 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.4-0noble) noble; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Wed, 16 Mar 2016 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.3-0noble) noble; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Sat, 05 Mar 2016 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.2-0noble) noble; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Wed, 24 Feb 2016 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.1-0noble) noble; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Wed, 20 Jan 2016 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.7.0-0noble) noble; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Tue, 29 Sep 2015 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.6.2-0noble) noble; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Thu, 30 Jul 2015 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.6.1-0noble) noble; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Fri, 03 Jul 2015 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.6.0-0noble) noble; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Tue, 23 Jun 2015 19:47:00 -0000

ros-one-fetch-ikfast-plugin (0.5.15-0noble) noble; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Tue, 23 Jun 2015 19:44:00 -0000

ros-one-fetch-ikfast-plugin (0.5.14-0noble) noble; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Fri, 19 Jun 2015 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.5.13-0noble) noble; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Sat, 13 Jun 2015 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.5.12-0noble) noble; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Fri, 12 Jun 2015 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.5.11-0noble) noble; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Wed, 10 Jun 2015 00:00:00 -0000

ros-one-fetch-ikfast-plugin (0.5.10-0noble) noble; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Sun, 07 Jun 2015 12:48:00 -0000

ros-one-fetch-ikfast-plugin (0.5.9-0noble) noble; urgency=high





=== debian/control ===
Source: ros-one-fetch-ikfast-plugin
Section: misc
Priority: optional
Maintainer: Sarah Elliott <selliott@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), liblapack-dev, ros-one-catkin, ros-one-eigen-conversions, ros-one-moveit-core, ros-one-pluginlib, ros-one-roscpp, ros-one-tf2-eigen, ros-one-tf2-kdl
Homepage: http://docs.fetchrobotics.com/manipulation.html
Standards-Version: 3.9.2

Package: ros-one-fetch-ikfast-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblapack-dev, ros-one-eigen-conversions, ros-one-moveit-core, ros-one-pluginlib, ros-one-roscpp
Description: Kinematics plugin for Fetch robot, generated through IKFast

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-fetch-ikfast-plugin//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-fetch-ikfast-plugin 0.9.1-5noble.20251208.1201

=== debian/changelog ===
ros-one-fetch-ikfast-plugin (0.9.1-5noble.20251208.1201) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sarah Elliott <selliott@fetchrobotics.com>  Mon, 08 Dec 2025 12:01:19 +0000

## ros-one-fetch-ikfast-plugin 0.9.1-5noble.20260128.2141

=== debian/changelog ===
ros-one-fetch-ikfast-plugin (0.9.1-5noble.20260128.2141) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sarah Elliott <selliott@fetchrobotics.com>  Wed, 28 Jan 2026 21:41:17 +0000

## ros-one-fetch-ikfast-plugin 0.9.1-5noble.20260301.2125

=== debian/changelog ===
ros-one-fetch-ikfast-plugin (0.9.1-5noble.20260301.2125) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sarah Elliott <selliott@fetchrobotics.com>  Sun, 01 Mar 2026 21:25:16 +0000
